Create /schema/:schema endpoint in eventbus service to serve schemas by schema_uri
Closed, ResolvedPublic5 Story Points

Description

This will allow us to render response schemas in the EventStreams swagger-ui /?doc added in T158066

Ottomata created this task.Feb 27 2017, 9:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2017, 9:30 PM
Nuria moved this task from Incoming to To Task on the Analytics board.Mar 2 2017, 5:12 PM
Ottomata edited projects, added Analytics-Kanban; removed Analytics.Mar 8 2017, 4:03 PM
Ottomata moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 341922 had a related patch set uploaded (by Ottomata):
[eventlogging] [WIP] /v1/schemas/:schema_uri endpoint

https://gerrit.wikimedia.org/r/341922

Change 341922 merged by Ottomata:
[eventlogging] /v1/schemas/:schema_uri endpoint

https://gerrit.wikimedia.org/r/341922

Mentioned in SAL (#wikimedia-operations) [2017-03-16T15:27:34Z] <otto@tin> Started deploy [eventlogging/eventbus@75ab39c]: /v1/schemas/:schema_uri endpoint, T159179

Mentioned in SAL (#wikimedia-operations) [2017-03-16T15:27:48Z] <otto@tin> Finished deploy [eventlogging/eventbus@75ab39c]: /v1/schemas/:schema_uri endpoint, T159179 (duration: 00m 14s)

Nuria closed this task as Resolved.Mar 17 2017, 8:28 PM